Developing for Splunk Enterprise
Highlighted

When will Splunk update the included version of Jquery?

Explorer

Hi,

Just curious what the timeframe is for Splunk including an updated version of jquery. Currently, Splunk ships with Jquery 1.6. Jquery is currently on 1.9, and includes many additional features such as ".on".

Is there a method for manually upgrading the version of jquery?

How would this affect the current Splunk code?

Is it possible to upgrade the version of jquery for only 1 app, without affecting the others?

Thanks!

Tags (2)
0 Karma
Highlighted

Re: When will Splunk update the included version of Jquery?

Champion

I recommend using jQuery's noConflict function. It will allow to swap between two instances of jQuery.

0 Karma
Highlighted

Re: When will Splunk update the included version of Jquery?

Path Finder

Hi,

I have the buildin Jquery library, but need to use another version of jquery for creating context menu.
Both are showing same version after checking its version.
```



require([
"splunkjs/mvc",
"splunkjs/mvc/utils",
"splunkjs/mvc/tokenutils",
"underscore",
"jquery",
-------
],
function(
mvc,
utils,
TokenUtils,
_,
$,
-------
-------

//on load of the page
require(["splunkjs/mvc/simplexml/ready!"], function( ) {
console.log("before conflict 1st loaded jQuery version-----> ", $.fn.jquery );

        var jq162 = $.noConflict( true );
        console.log("after conflict 1st loaded jQuery version-----> ", $.fn.jquery );
        console.log("after 2nd loaded jQuery version-----> ", jq162.fn.jquery );

Output:
before conflict 1st loaded jQuery version-----> 2.1.0
after conflict 1st loaded jQuery version-----> 2.1.0
after conflict 2nd loaded jQuery version-----> 2.1.0

Before adding jquery to splunk I have tested its version was 1.11.3 But, in splunk it is showing 2.1.0?

0 Karma